Execute import content
Execute import content
Required permissions: IMPORT
post/tenants/{tenantUid}/imports/files/{importFileUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+importFileUidstringRequiredPattern:
Reference to a import file.
^[A-Za-z0-9-_]+Body
actionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| EXECUTE | Execute Import job |
| ABORT | Abort running job |
Responses
200
Example response
application/json
templateUidstringRequiredPattern:
^[A-Za-z0-9-_]+base64DatastringRequired
contentTypestringRequired
actionstring · enum · min: 1Required
Possible values:
| ENUM | Description |
|---|---|
| SIMULATE | Do a simulate on import. Return content without saving |
| PROCESS | Process file with given template. Save file if no errors |
importFileUidstringRequiredPattern:
^[A-Za-z0-9-_]*operationstring · enum · min: 1Required
Possible values:
| ENUM | Description |
|---|---|
| INSERT | Only insert non-existing records, existing records will be ignored |
| UPDATE | Only update existing records, non-existing records will be ignored |
| UPSERT | non-existing records will be inserted, existing records will be updated |
statestring · enum · min: 1Required
Possible values:
| ENUM | Description |
|---|---|
| NOT_STARTED | Import not started |
| IMPORT_IN_PROGRESS | Import is running |
| IMPORT_ABORT | Import is aborting |
| IMPORT_ABORTED | Import has been aborted |
| VALIDATE_IN_PROGRESS | Validate is running |
| COMPLETE_NOTHING_TO_IMPORT | Import is done, but there where nothing to import |
| COMPLETE | Import complete |
| VALIDATE_FAILED | Validate failed |
| IMPORT_FAILED | Import failed |
| IMPORT_ABORT | Import is aborting |
| IMPORT_ABORTED | Import has been aborted |
| READY_TO_IMPORT | Validation OK, import is ready |
post/tenants/{tenantUid}/imports/files/{importFileUid}
POST /v2/tenants/{tenantUid}/imports/files/{importFileUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 20
{
"action": "EXECUTE"
}200
Example response
{
"templateUid": "text",
"base64Data": "text",
"contentType": "text",
"action": "SIMULATE",
"importFileUid": "text",
"operation": "INSERT",
"state": "NOT_STARTED"
}Last updated
Was this helpful?

